summaryrefslogtreecommitdiff
path: root/functions/lockfile.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-11-11 10:15:51 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:22:28 +0100
commit74a5575d5a03a2897f10f207bf1c6acd00b30f6b (patch)
tree5b365d4f785d43c306addaaf72eb8fe9b98255f3 /functions/lockfile.sh
parenta3b536bebd4aff98e6f77ca6562b7eefdce52311 (diff)
downloadlive-build-74a5575d5a03a2897f10f207bf1c6acd00b30f6b.zip
live-build-74a5575d5a03a2897f10f207bf1c6acd00b30f6b.tar.gz
Fixing trap call as suggested by Justin Pryzby <jpryzby@quoininc.com> (Closes: #431160, #449087).
Diffstat (limited to 'functions/lockfile.sh')
-rwxr-xr-xfunctions/lockfile.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/functions/lockfile.sh b/functions/lockfile.sh
index 1850308..189d0c2 100755
--- a/functions/lockfile.sh
+++ b/functions/lockfile.sh
@@ -30,7 +30,7 @@ Create_lockfile ()
mkdir -p "${DIRECTORY}"
# Creating lock trap
- trap "test -f ${FILE} && rm -f ${FILE}; exit 0" 0 1 2 3 9 15
+ trap 'ret=${?}; '"rm -f \"${FILE}\";"' exit ${ret}' EXIT
# Creating lock file
touch "${FILE}"